Name:           json
Version:        3
Release:        %mkrel 12
Summary:        JavaScript Object Notation support in Java
License:        ASL 2.0
Group:          Development/Java
URL:            http://www.json.org/java/index.html
Source0:        http://www.json.org/java/apache.zip
Source1:        %{name}-MANIFEST.MF
# http://repo1.maven.org/maven2/org/json/json/20090211/json-20090211.pom
Source2:        json-20100305.pom

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  zip

Requires:       jpackage-utils
Requires:       java-headless

%description
Java support for the JSON (JavaScript Object Notation) lightweight
data-interchange format.  It is based on a subset of the JavaScript
Programming Language, Standard ECMA-262 3rd Edition - December 1999.
JSON is a text format that is completely language independent but uses
conventions that are familiar to programmers of the C-family of
languages including C, C++, C#, Java, JavaScript, Perl, Python, and many
others.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
API docs for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
mkdir -p src/org
mv apache src/org

%build
export JAVA_HOME=%{_jvmdir}/java
mkdir -p target/classes
$JAVA_HOME/bin/javac -d target/classes $(find src -name "*.java")
$JAVA_HOME/bin/jar cf target/%{name}.jar -C target/classes org
mkdir -p target/site/apidocs
$JAVA_HOME/bin/javadoc -d target/site/apidocs $(find src -name "*.java")

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u target/%{name}.jar META-INF/MANIFEST.MF 

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles

%files javadoc
%doc %{_javadocdir}/%{name}/


%changelog
* Sun Jan 18 2015 daviddavid <daviddavid> 3-12.mga5
+ Revision: 811326
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 3-11.mga5
+ Revision: 741568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3-10.mga5
+ Revision: 680870
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 luigiwalser <luigiwalser> 3-9.mga5
+ Revision: 596692
- remove old post scriplet macros

* Fri Oct 18 2013 umeabot <umeabot> 3-9.mga4
+ Revision: 506444
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3-8.mga3
+ Revision: 355612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 03 2011 gil <gil> 3-7.mga2
+ Revision: 131586
- added maven2 pom

* Fri May 13 2011 dmorgan <dmorgan> 3-6.mga1
+ Revision: 98229
- imported package json


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-5
- Fix javadoc install path.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-4
- Adapt to current guidelines.

* Wed Apr 28 2010 Alexander Kurtakov <akurtako@redhat.com> 3-3
- Add osgi manifest.

* Thu Jul 30 2009 Andrew Overholt <overholt@redhat.com> 3-2
- Update summary/description.
- Resolves bug #511007.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Andrew Overholt <overholt@redhat.com> 2-1
- Some cleanups for Fedora (license, version, tabs vs. spaces).
- Remove maven POM file of unknown origin.
- Use APL-licensed source zip.

* Fri Jan 23 2009 Ralph Apel <r.apel at r-apel.de> 0:20080425-1.jpp5
- First release
